Bug 1761442 - Component create fails with flag —context when —binary is located in temp folder
Summary: Component create fails with flag —context when —binary is located in temp folder
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: odo
Version: 4.2.0
Hardware: Unspecified
OS: Mac OS
unspecified
medium
Target Milestone: ---
: ---
Assignee: Tomáš Král
QA Contact: Amit
Yana Hontyk
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-14 12:13 UTC by Yana Hontyk
Modified: 2019-12-13 13:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-13 13:58:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift odo issues 2282 0 'None' 'closed' 'Component create fails with flag —context when —binary is located in temp folder' 2019-11-19 06:34:24 UTC

Description Yana Hontyk 2019-10-14 12:13:34 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:

odo component create wildfly --project test123 --binary /var/folders/c9/fb55pf_568dfd1fzj9w1v4n00000gn/T/test/ROOT.war --context /var/folders/c9/fb55pf_568dfd1fzj9w1v4n00000gn/T/test/ 


Actual results:

/c9/fb55pf_568dfd1fzj9w1v4n00000gn/T/test/ROOT.war --context /var/folders/c9/fb55pf_568dfd1fzj9w1v4n00000gn/T/test/ 
 ✗  Validating component [1s]
 ✗  ../../../../../../private/var/folders/c9/fb55pf_568dfd1fzj9w1v4n00000gn/T/test/ROOT.war binary needs to be inside of the context directory (/var/folders/c9/fb55pf_568dfd1fzj9w1v4n00000gn/T/test/)


Expected results:
component should be created

Additional info:

Comment 1 Amit 2019-11-19 06:47:46 UTC
Fixed via https://github.com/openshift/odo/pull/2308


Note You need to log in before you can comment on or make changes to this bug.